package com.bytesw.bytebot.model.converters;

import com.bytesw.bytebot.model.enums.CalendarExceptionType;

import javax.persistence.AttributeConverter;
import javax.persistence.Converter;

/**
 * @author Renzo Carranza
 * @version 26/08/2021
 * <p>
 * Copyright (c) 2019 Byte, S.A. Todos los derechos reservados.
 * <p>
 * Este software constituye información confidencial y propietaria de Byte, S.A.
 * ("Información Confidencial"). Usted no debe develar dicha Información
 * Confidencial y debe usarla de acuerdo con los términos de aceptación de
 * licencia de uso que firmó con Byte.
 */
@Converter
public class CalendarExceptionTypeConverter implements AttributeConverter<CalendarExceptionType, String> {
    @Override
    public String convertToDatabaseColumn(CalendarExceptionType calendarExceptionType) {
        if (calendarExceptionType == null) return null;
        return calendarExceptionType.getName();
    }

    @Override
    public CalendarExceptionType convertToEntityAttribute(String s) {
        return CalendarExceptionType.fromString(s);
    }
}
